{% extends 'base.html' %}
{% load urlify %}
{% load crispy_forms_tags %}
{% block head_title %} {{ instance.title }} | {{ block.super }} {% endblock head_title %}

{% block content %}
<div class="col-sm-6 col-sm-offset-3">


      <p>{{ comment.content }}</p>
      <footer> via {{ comment.user }} | {{ comment.timestamp|timesince }} ago |
        {% if comment.children.count > 0 %}{{comment.children.count}} Comments {% endif %}
      {% if request.user == comment.user %} Delete {% endif %}<a href='{{ comment.get_delete_url }}'> Delete </a>
      </footer>
      <hr/>
      <div>
      {% for child_comment in comment.children %}
         <blockquote>
             <p>{{ child_comment.content }}</p>
             <footer> via {{ child_comment.user }} | {{ child_comment.timestamp|timesince }} ago
                {% if request.user == child_comment.user %}<a href='{{ child_comment.get_delete_url }}'> Delete </a>{% endif %}
             </footer>

         </blockquote>
     {% endfor %}
     {% if request.user.is_authenticated %}
        <form method="POST" action="."> {% csrf_token %}
            {{ comment_form|crispy }}
            <input type="hidden" name='parent_id' value='{{ comment.id }}'/>
            <input type="submit" value='Reply' class="btn btn-default"/>
        </form>
        {% else %}
        <p> You must login to comment</p>
        {% endif %}
      </div>
  <hr/>

</div>
{% endblock content %}
